	 
	//返回定位编码
	//priorityType：
	//1、优先营销员编号，次优先实际地区编码，如果因为定位问题也没有实际地区编码，那么直接返回110000
	//2、优先虚拟地区编号，次优先实际地区编码，如果因为定位问题也没有实际地区编码，那么直接返回110000
	//其他值：返回实际地区编码，如果因为定位问题也没有实际地区编码，那么直接返回110000
	function getAreaCode(){
		var preference = new $M.Preferences();
		preference.open('default');
		var location = Utils.stringToJson(preference.get('location'));
		return location.useAreaCode;
	}
	
	//获取当前实际定位，优先级：实际区县 > 实际地市 > 实际省 > 110000
	function getRealAreaCode(){
		var preference = new $M.Preferences();
		preference.open('default');
		var location = Utils.stringToJson(preference.get('location'));
		
		var realAreaCode = 	(null != location.countyCode && "" != location.countyCode) ? 
							location.countyCode : (
								(null != location.cityyCode && "" != location.cityCode) ? 
								location.cityCode : (
									(null != location.provCode && "" != location.provCode) ? 
									location.provCode : 
									"110000"
								)
							);
		
		return realAreaCode;
	}
	
	//设置当前使用的定位编码
	//priorityType：
	//1、优先营销员编号，次优先实际地区编码，如果因为定位问题也没有实际地区编码，那么直接返回110000
	//2、优先虚拟地区编号，次优先实际地区编码，如果因为定位问题也没有实际地区编码，那么直接返回110000
	//其他值：返回实际地区编码，如果因为定位问题也没有实际地区编码，那么直接返回110000
	function setUseAreaCode(priorityType){
		var preference = new $M.Preferences();
		preference.open('default');
		var location = Utils.stringToJson(preference.get('location'));
		
		if(1 == priorityType || "1" == priorityType){	//优先营销员所在地区编号
			location.useAreaCode = (null != location.managerAreaCode && "" != location.managerAreaCode) ? 
					location.managerAreaCode : (
						(null != location.countyCode && "" != location.countyCode) ? 
						location.countyCode : 
						"110000"
					);
		}else if(2 == priorityType || "2" == priorityType){	//优先虚拟地区编号
			location.useAreaCode = (null != location.cityCodeVirtual && "" != location.cityCodeVirtual) ? 
					location.cityCodeVirtual : (
						(null != location.countyCode && "" != location.countyCode) ? 
						location.countyCode : 
						"110000"
					);
		}else{	//其他值：返回实际地区编码
			location.useAreaCode = (null != location.countyCode && "" != location.countyCode) ? 
				location.countyCode : 
				"110000";
		}
		log("priorityType:" + priorityType);
		log("location.useAreaCode:" + location.useAreaCode);
		preference.put('location',Utils.jsonToString(location));
	}
	
	//获取当前所使用地区的省编码，functionParam为函数，用于同步
	function getUserProvCode(functionParam){
		var areaCode = getAreaCode();
		var url = "/app/common/queryAreaInfo?areaNo=" + areaCode;
		var provCode = "110000";
		RemoteGroup.current.czt.serverget(url, null, function(result){
			var resultJson = Utils.stringToJson(result);
			if("000000" == resultJson.retCode){
				for(var i = 0; i < resultJson.retData.length; i ++){
					if(1 == resultJson.retData[i].area_level || "1" == resultJson.retData[i].area_level){
						provCode = resultJson.retData[i].area_no;
						break;
					}
				}
			}else{
				log("区域信息查询失败[" + resultJson.retCode + "]");
			}
			functionParam(provCode);
		}, function(failure){
			log("获取省编码调用失败");
			functionParam(provCode);
		});
	}

     Emp.page.render();